Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.handlers.audit
Interface Filter

All Known Implementing Classes:
  AtomicFilter, CompoundFilter, OneFilter, ZeroFilter

public interface Filter

Field Summary
`static char` | `AND`
`static char` | `CLOSE_PARANTHESIS`
`static char` | `EQUALS`
`static java.lang.String` | `HOST`
`static java.lang.String` | `IP`
`static char` | `NOT`
`static char` | `OPEN_PARANTHESIS`
`static char` | `OR`
`static int` | `TYPE_HOST`
`static int` | `TYPE_IP`
`static int` | `TYPE_URN`
`static int` | `TYPE_USERNAME`
`static java.lang.String` | `URN`
`static java.lang.String` | `USERNAME`
`static char` | `WILD_CARD`

Method Summary
`boolean` | `apply(java.util.Hashtable attributes)`

Field Detail

### IP

    public static final java.lang.String IP

  See Also:
    Constant Field Values

### HOST

    public static final java.lang.String HOST

  See Also:
    Constant Field Values

### URN

    public static final java.lang.String URN

  See Also:
    Constant Field Values

### USERNAME

    public static final java.lang.String USERNAME

  See Also:
    Constant Field Values

### TYPE_IP

    public static final int TYPE_IP

  See Also:
    Constant Field Values

### TYPE_HOST

    public static final int TYPE_HOST

  See Also:
    Constant Field Values

### TYPE_URN

    public static final int TYPE_URN

  See Also:
    Constant Field Values

### TYPE_USERNAME

    public static final int TYPE_USERNAME

  See Also:
    Constant Field Values

### AND

    public static final char AND

  See Also:
    Constant Field Values

### OR

    public static final char OR

  See Also:
    Constant Field Values

### NOT

    public static final char NOT

  See Also:
    Constant Field Values

### OPEN_PARANTHESIS

    public static final char OPEN_PARANTHESIS

  See Also:
    Constant Field Values

### CLOSE_PARANTHESIS

    public static final char CLOSE_PARANTHESIS

  See Also:
    Constant Field Values

### WILD_CARD

    public static final char WILD_CARD

  See Also:
    Constant Field Values

### EQUALS

    public static final char EQUALS

  See Also:
    Constant Field Values

Method Detail

### apply

    public boolean apply(java.util.Hashtable attributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.